#pragma once
#include "AbstractSimulationResultDTO.h"
#include <string>




class LeafSimulationResult: virtual public  AbstractSimulationResultDTO
{
public:
	void AbstractSimulationResultDTO::addSimulationResult(AbstractSimulationResultDTO *abstractResultDTO);
	bool AbstractSimulationResultDTO::deleteSimulationResult(AbstractSimulationResultDTO *abstractResultDTO);
	virtual string AbstractSimulationResultDTO::getID() = 0;
	virtual int AbstractSimulationResultDTO::getType() = 0;
	bool AbstractSimulationResultDTO::isLeaf();
	list<AbstractSimulationResultDTO*>* AbstractSimulationResultDTO::getChildren();
	virtual AbstractSimulationResultDTO* clone() = 0;
};